> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List safe lists for a service

> Retrieve a paginated list of safe lists across all workspaces of a service. <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/services/{serviceId}/files/safe-lists
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/services/{serviceId}/files/safe-lists:
    get:
      tags:
        - Services
      summary: List safe lists for a service
      description: >-
        Retrieve a paginated list of safe lists across all workspaces of a
        service. <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)
      operationId: publicGetServiceSafeLists
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: serviceId
          required: true
          in: path
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Limit the number of results returned. Maximum 200.
          schema:
            maximum: 200
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor to paginate through results.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetServiceFileSafeListsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetServiceFileSafeListsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/ServiceFileSafeListDto'
      required:
        - meta
        - items
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    ServiceFileSafeListDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: asdfgh12345
        name:
          type: string
          readOnly: true
          example: Awesome list
        remarks:
          type: string
          readOnly: true
          example: Awesome list description
        workspaceId:
          type: number
          readOnly: true
          example: 123
        files:
          type: number
          readOnly: true
          example: 123
        emails:
          type: number
          readOnly: true
          example: 123
        groups:
          type: number
          readOnly: true
          example: 123
        domains:
          type: number
          readOnly: true
          example: 123
        status:
          readOnly: true
          example: applied
          allOf:
            - $ref: '#/components/schemas/SafeListStatus'
        allFiles:
          type: boolean
          readOnly: true
          example: false
        highConfidence:
          type: boolean
          readOnly: true
          example: false
      required:
        - id
        - name
        - remarks
        - workspaceId
        - files
        - emails
        - groups
        - domains
        - status
        - allFiles
        - highConfidence
    SafeListStatus:
      type: string
      enum:
        - not_applied
        - applied
        - applying
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````